Bug 430802 - libata broken for Pegasos in 2.6.24 again
libata broken for Pegasos in 2.6.24 again
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-29 15:49 EST by Marcin Kurek
Modified: 2008-02-10 19:36 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-10 19:36:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg from faulty boot (7.71 KB, text/plain)
2008-01-29 15:49 EST, Marcin Kurek
no flags Details

  None (edit)
Description Marcin Kurek 2008-01-29 15:49:54 EST
Today I give a try to 2.6.24 on my machine (Pegasos 2 G4, 1GB) and it seems that
libata is broken for pegasos in this version again. Previous bug report was
https://bugzilla.redhat.com/show_bug.cgi?id=247602 and it was solved using

This fix seems to be included in 2.6.24 (As
556ecf9be66f4d493e19bc71a7ce84366d512b71) but booting using 2.6.24-7.fc9 fails
on pata_via. Quick look at dmesg shows both channels are setup to use IRQ 14 and
this is not correct.

ata1: PATA max UDMA/100 cmd 0x1000 ctl 0x100c bmdma 0x1020 irq 14^
ata2: PATA max UDMA/100 cmd 0x1010 ctl 0x101c bmdma 0x1028 irq 14^
Comment 1 Marcin Kurek 2008-01-29 15:49:54 EST
Created attachment 293337 [details]
dmesg from faulty boot
Comment 2 Marcin Kurek 2008-01-30 13:41:07 EST
Acording to http://patchwork.ozlabs.org/linuxppc/patch?order=date&id=16281 this
problem should be fixed by

I wonder can anyone build a .24 kernel with this patch to verify ? 
Comment 3 Marcin Kurek 2008-02-02 14:00:46 EST
I build a custom 2.6.24 today with this patch
(http://patchwork.ozlabs.org/linuxppc/patchcontent?id=16281) and I must say it
fix libata problems. 
Comment 4 Marcin Kurek 2008-02-09 13:27:33 EST
Ping ? Any chances to see this fix in to rawhide 2.6.24 ?
Comment 5 Chuck Ebbert 2008-02-10 19:36:58 EST
Sorry, patch fell through the cracks. Will take another day before the kernel
build picks this up since today's build is already running.

Note You need to log in before you can comment on or make changes to this bug.